VIS-COMPLETE(1)

NAME
vis-complete - Interactively complete file or word

SYNOPSIS
vis-complete [--file | --word] [--] pattern

vis-complete -h | --help

DESCRIPTION
vis-complete takes a pattern on the command-line and completes file or word and displays them in a menu for the user to select one. Once the user has selected a completion, the completion (excluding the pattern) is printed to standard output.

vis-complete uses vis-menu(1) as its user-interface, so see that page for more details.

--file
    This passes pattern to find to obtain a list of matching file names (this is the default).

--word
    This reads standard input to obtain a list of lines matching pattern.

--  An argument following this token will be treated as pattern, even if it would otherwise be a valid command-line option.

    If encountered after a previous instance of -- it is treated as a pattern.

pattern
    The pattern to be completed by file or word.

-h | --help
    If present, vis-complete prints a usage summary and exits, ignoring any other flag and arguments.

EXIT STATUS

In particular, like vis-menu(1), vis-complete prints nothing and sets its exit status to 1 if the user refused to select a file.

SEE ALSO
vis(1), vis-menu(1)

BUGS
Because vis-complete uses find(1) to obtain the list of files, weird things might happen if you have control-characters in your filenames.